#pragma once

#include <string>
#include <memory>

#include "DepNode.h"
#include "BXParser.h"

namespace build {

std::string findTargetName(const BXVariables &variables);
std::unique_ptr<DepNode> buildDepTree(const std::string &outDir, BXVariables variables);

}
